# blext
# Copyright (C) 2025 blext Project Contributors
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU Affero General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Affero General Public License for more details.
#
# You should have received a copy of the GNU Affero General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

"""Blender operators that ship with `bpy_jupyter`."""

import blroots as blr

from . import simple_integer

BL_REGISTER = blr.gather.classes(simple_integer)
BL_HANDLERS = blr.gather.handlers(simple_integer)
BL_KEYMAP_ITEMS = blr.gather.keymap_items(simple_integer)
