import blroots as blr
import bpy


class SimpleInteger(blr.bl_prop.BLIDProps):
	"""A scene property that involves a basic integer."""

	bl_id_type: bpy.types.ID = bpy.types.Scene

	simple_integer: int = blr.BLField(
		10,
		display_name='Simple Integer',
		description="It's just an integer! What's the big deal?",
	)


####################
# - Blender Registration
####################
BL_REGISTER = [SimpleInteger]
BL_HANDLERS = None
BL_KEYMAP_ITEMS = None
